# Uses of Class
org.apache.sysds.hops.codegen.cplan.CNodeData

Packages that use CNodeData
Package
Description
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.hops.codegen.template

## Uses of CNodeData in org.apache.sysds.hops.codegen.cplan

Constructors in org.apache.sysds.hops.codegen.cplan with parameters of type CNodeData
Modifier
Constructor
Description
``
`CNodeData(CNodeData node, String newName)`

## Uses of CNodeData in org.apache.sysds.hops.codegen.template

Methods in org.apache.sysds.hops.codegen.template that return CNodeData
Modifier and Type
Method
Description
`static CNodeData`
TemplateUtils.`createCNodeData(Hop hop, boolean compileLiterals)`
`static CNodeData`
TemplateUtils.`getLiteral(CNode node)`